<div class="row">
  <div class="p-10">
    <p>
      {{
        'sqtm-core.administration-workspace.views.project.import.dialog.import-from-xray.message.information-new-entity'
          | translate
      }}
      <a [href]="xrayImportDocUrl" target="_blank" rel="noopener noreferrer">
        <i
          nz-icon
          nzType="sqtm-core-generic:help"
          nzTheme="fill"
          class="help-icon current-workspace-main-color"
          nz-tooltip
          [nzTooltipTitle]="
            'sqtm-core.administration-workspace.views.project.import.dialog.import-from-xray.message.link-doc-xray'
              | translate
          "
        ></i>
      </a>
    </p>
    <p>
      {{
        'sqtm-core.administration-workspace.views.project.import.dialog.import-from-xray.message.information-cuf'
          | translate
      }}
    </p>
    <p>
      {{
        'sqtm-core.administration-workspace.views.project.import.dialog.import-from-xray.message.information-update'
          | translate
      }}
    </p>
  </div>

  <div class="xray-import-grid">
    <label class="label label__align_right">
      {{
        'sqtm-core.administration-workspace.views.project.import.dialog.import-from-xray.label.import-name'
          | translate
      }}
    </label>
    <sqtm-core-text-field
      [attr.data-test-field-id]="'import-name'"
      [formGroup]="formGroup"
      [fieldName]="'importName'"
      (inputBlurred)="importNameChanged()"
    >
    </sqtm-core-text-field>
    <label class="label label__align_right">
      {{
        'sqtm-core.administration-workspace.views.project.import.dialog.import-from-xray.field.file'
          | translate
      }}
    </label>
    <div class="flex-column" style="margin: auto 0 auto 0">
      <sqtm-core-attachment-file-selector
        [displayButton]="true"
        [multiple]="true"
        [restrictionFiles]="'application/xml'"
        (uploadFilesEvent)="addFile($event)"
      >
        {{
          componentData.files.length > 0
            ? ''
            : ('sqtm-core.dialog.no-file-selected' | translate)
        }}
      </sqtm-core-attachment-file-selector>
      @if (componentData.errors.errorMissingFile) {
        <span
          class="sqtm-core-error-message"
          [attr.data-test-element-id]="'error-missing-file'"
          >{{
            'sqtm-core.administration-workspace.views.project.import.dialog.import-from-xray.error.no-file-selected'
              | translate
          }}</span
        >
      }
      @if (componentData.errors.errorFormatFile) {
        <span
          class="sqtm-core-error-message"
          [attr.data-test-element-id]="'error-format-file'"
          >{{
            'sqtm-core.administration-workspace.views.project.import.dialog.import-from-xray.error.error-format'
              | translate
          }}</span
        >
      }
    </div>
  </div>
  <div class="file-list">
    @for (file of componentData.files; track file) {
      <div class="file-item">
        <span class="file-name">{{ file.name }}</span>
        <span class="remove-file" (click)="removeFile(file)">&#10006;</span>
      </div>
    }
  </div>
</div>
